%%
Tsim = 50; % [s]

%%
tg = slrt;

%% TODO - Build this application if updated

%%
if tg.Connected == "Yes"
    if tg.Status == "running"
        disp('Target is Running, Stopping...');
        tg.stop;
        while tg.Status == "running"
            pause(1);
        end
        disp('Target is Stopped');
    end
    if tg.Status == "stopped"
        disp('Load the Application');
        tg.load('measure_channels');

        %% Run the application
        disp('Starting the Application');
        tg.start;
        pause(Tsim);
        tg.stop;
    end
end

%%
f = SimulinkRealTime.openFTP(tg);
cd(f, 'data/measure_channels/');
mget(f, 'data_001.dat', 'data');
close(f);

%%
data = SimulinkRealTime.utils.getFileScopeData('data/data_001.dat').data;

%%
n = 009;

if isfile(['mat/data_', num2str(n, '%03d'), '.mat'])
     disp('File exists.');
else
     save(['mat/data_', num2str(n, '%03d'), '.mat'], 'data');
end

%%
% figure;
% hold on;
% plot(t, x1);
% plot(t, x2);
% hold off
% xlabel('Time [s]');
% ylabel('Voltage [V]');